use winit::event_loop::{ControlFlow, EventLoop};

mod display;
mod vulkan;

fn main() {
    env_logger::init();

    let event_loop = EventLoop::new().unwrap();
    event_loop.set_control_flow(ControlFlow::Poll);
    
    let window_attributes = winit::window::Window::default_attributes()
        .with_title("Rust ASH Test")
        .with_inner_size(winit::dpi::PhysicalSize::new(
            f64::from(800),
            f64::from(600),
        ));

    let window = display::Window::new(window_attributes);
    let mut app = display::App::new(window);

    event_loop.run_app(&mut app).unwrap();
}
